## Apache Zeta Components Manual :: Docs For Class ezcMvcResult

### MvcTools::ezcMvcResult

### Class ezcMvcResult

This struct contains the result data to be formatted by a response writer.

Source for this file: /MvcTools/src/structs/result.php

    ezcBaseStruct
       |
       --ezcMvcResult

Version: | //autogentag//

### Member Variables

public ezcMvcResultCache | `$cache` Contains cache control settings
public ezcMvcResultContent | `$content` Contains content meta-data, such as language, type, charset.
public array(ezcMvcResultCookie) | `$cookies` Contains all the cookies to be set
public DateTime | `$date` Date of the result
public string | `$generator` Generator string, f.e. "eZ Components MvcTools"
public ezcMvcResultStatusObject | `$status` Result status Set this to an object that implements the ezcMvcResultStatusObject, for example ezcMvcResultUnauthorized or ezcMvcExternalRedirect. These status objects are used by the response writers to take appropriate actions.
public array(mixed) | `$variables` Result variables

### Method Summary

public static ezcMvcResult | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcResult | `__construct( [ $status = 0] , [ $date = null] , [ $generator = ''] , [ $cache = null] , [ $cookies = array()] , [ $content = null] , [ $variables = array()] )` Constructs a new ezcMvcResult.

### Methods

#### __set_state

static ezcMvcResult __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcResult __construct( [int $status = 0] , [DateTime $date = null] , [string $generator = ''] , [ezcMvcResultCache $cache = null] , [array(ezcMvcResultCookie) $cookies = array()] , [ezcMvcResultContent $content = null] , [array(mixed) $variables = array()] )

Constructs a new ezcMvcResult.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$status` | int |
`$date` | DateTime |
`$generator` | string |
`$cache` | ezcMvcResultCache |
`$cookies` | array(ezcMvcResultCookie) |
`$content` | ezcMvcResultContent |
`$variables` | array(mixed) |

Documentation generated by phpDocumentor 1.4.3